CREATE TABLE ffs_service_request (
    SERVICE_REQUEST_ID    NUMBER(10, 0),
    TYPE_ID               NUMBER(10, 0),
    USER_ID               NUMBER(18, 0),
    RESOURCE_ID           NUMBER(8, 0) ,
    REQUEST_DATE          DATE         ,
    ACTIVITY_ID           NUMBER(10, 0),
    CREATED               TIMESTAMP(0) ,
    INVENTORY_ID          NUMBER(10, 0),
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    SERVICE_REQUEST_ID    NUMBER(10, 0),
    TYPE_ID               NUMBER(10, 0),
    USER_ID               NUMBER(18, 0),
    RESOURCE_ID           NUMBER(8, 0) ,
    REQUEST_DATE          DATE         ,
    ACTIVITY_ID           NUMBER(10, 0),
    CREATED               TIMESTAMP(0) ,
    INVENTORY_ID          NUMBER(10, 0),
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    CONSTRAINT pk_ffs_service_request PRIMARY KEY (SERVICE_REQUEST_ID, SERVICE_REQUEST_ID)
);
